import Link from "next/link";

export default function Publications() {
  return (
    <>
      <section className="heading">
        <h2 className="strapline">Publications</h2>
        <h1>Publication Editor</h1>
      </section>
      <section className="grid grid-cols-3 gap-8 gap-y-6 mt-8">
        <div className="col-span-2">
          <div className="card">
          </div>
        </div>
        <div>
          <div className="card">
            <h3>How does it work?</h3>
            <p>
              Use this page to create publications for a game system using a
              schema, either from scratch or by extending another publication.
              You can also create an updated version of a previous publication
              and label it with a new release tag.
            </p>
            <p>
              Each schema field that can hold a value has an input for you to
              edit - if there are any questions about what a field is, those
              questions should be directed to the schema author using the
              contact feature on their profile.
            </p>
            <p>
              Some fields are marked as &quot;visible.&quot; These fields are
              the ones you can actually see when you view the publication. Some
              of these fields will already be filled in by the schema itself so
              that they can include specific formatting. Every schema has at
              least one visible field - called the &quot;parent&quot; field -
              that are shown by default when viewing the publication. Visible
              fields appear as an option in a menu when viewing a publication.
            </p>
            <p>
              Visible fields use ttcMD to create neat and tidy layouts. If you
              don&apos;t know how to use ttcMD or ttcQuery, pleas see{" "}
              <Link href="/help/ttcmd">this</Link> help article.
            </p>
          </div>
        </div>
      </section>
    </>
  );
}
